cURL
curl --request GET \
--url https://api.youappz.dev/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/projects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"projects": [
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"alias": "<string>",
"buildCommand": "<string>",
"devCommand": "<string>",
"installCommand": "<string>",
"framework": "<string>",
"outputDirectory": "<string>",
"commandForIgnoringBuildStep": "<string>",
"createdAt": 123,
"updatedAt": 123
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}projects
Retrieve a list of projects
Allows to retrieve the list of projects of the authenticated user or team. The list will be paginated and the provided query parameters allow filtering the returned projects.
GET
/
projects
cURL
curl --request GET \
--url https://api.youappz.dev/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/projects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"projects": [
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"alias": "<string>",
"buildCommand": "<string>",
"devCommand": "<string>",
"installCommand": "<string>",
"framework": "<string>",
"outputDirectory": "<string>",
"commandForIgnoringBuildStep": "<string>",
"createdAt": 123,
"updatedAt": 123
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The Team identifier or Team slug to perform the request on behalf of.
Example:
"team_xbtegd63gdg5636gdg"
Maximum number of projects to list from a request
Example:
20
Get projects created after this JavaScript timestamp
Example:
"1540095775941"
Get projects created before this JavaScript timestamp
Example:
"1540095775941"
Response
The paginated list of projects